from pylab import *

n = 100

m = linspace(0, 1, n + 1)
deg = linspace(0, 360, 181)
wt = radians(deg)
mce = 1 - sin(wt)
mce0 = - sin(wt)
jl = 1 - cos(wt)
jl0 = - cos(wt)


rc('text', usetex=True)
rc('font', family='serif')
rc('font', size = 12)
rcParams['text.latex.preamble']=[r"\usepackage{amsmath}"]

for i in range(n + 1):
    figure(1, figsize = (4, 3))
    clf()
    plot(1 + m[i] * mce0, jl)
    plot(1, 1, 'r+')
    text(1, 1, r'$Q$', horizontalalignment = 'left', verticalalignment = 'bottom')
    xlim(0, 2)
    ylim(0, 2)
    xlabel(r'$v_{CE} / V_{CC}$')
    ylabel(r'$i_C / I_{CQ}$')
    title(r'$\omega_0 \, L = ' + '{:.2f}'.format(m[i]) + r' \, \frac{V_{CC}}{I_{CQ}}$')
    savefig('justL{:03d}.png'.format(i), bbox_inches = 'tight', dpi = 300)

for i in range(n, - 1, -1):
    figure(1, figsize = (4, 3))
    clf()
    plot(mce, 1 + m[i] * jl0)
    plot(1, 1, 'r+')
    text(1, 1, r'$Q$', horizontalalignment = 'left', verticalalignment = 'bottom')
    xlim(0, 2)
    ylim(0, 2)
    xlabel(r'$v_{CE} / V_{CC}$')
    ylabel(r'$i_C / I_{CQ}$')
    title(r'$\frac{1}{\omega_0 \, L} = ' + '{:.2f}'.format(m[i]) + r' \, \frac{I_{CQ}}{V_{CC}}$')
    savefig('justL{:03d}.png'.format(2 * n + 1 - i), bbox_inches = 'tight', dpi = 300)

